### Constructor

# Handy ValueObject new_string

#### Declaration [src]

    HdyValueObject*
    hdy_value_object_new_string (
      const gchar* string
    )

#### Description [src]

Creates a new `HdyValueObject`.

This is a convenience method to create a `HdyValueObject` that stores a string.

Available since: | 1.0
This constructor is not directly available to language bindings

#### Parameters

`string` | `const gchar*`
| The string to store.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `HdyValueObject`
| A new `HdyValueObject`
| The caller of the function takes ownership of the data, and is responsible for freeing it.